import sys, socket, select, chess
def chat_client():
    board = chess.Board()
    host = input('Host: ')
    port = 8008
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    s.settimeout(2)
    try :
        s.connect((host, port))
    except :
        print ('Unable to connect')
        sys.exit()
    print ('\n'*200+'You are connected to the chess room.' )
    while 1:
        socket_list = [sys.stdin, s]
        read_sockets, write_sockets, error_sockets = select.select(socket_list , [], [])
        for sock in read_sockets:
            if sock == s:
                data = sock.recv(4096)
                if not data :
                    print ('\nDisconnected from chess server')
                    sys.exit()
                else :
                    try:
                        data = data.decode()
                        sys.stdout.write(data)
                        board.push_san(data.replace('\n',''))
                        print('\n'*80)
                        print(board)
                    except ValueError:
                        pass
            else :
                msg = sys.stdin.readline()
                s.send(bytes(msg,'ASCII'))
                sys.stdout.write(''); sys.stdout.flush()
                board.push_san(msg.replace('\n',''))
                print('\n'*80)
                print(board)
chat_client()
